#!/bin/sh
TEXTDOMAINDIR=/usr/share/locale
TEXTDOMAIN=pacman-gui
img=/usr/share/pixmaps/pacmind.png

export TEXTDOMAINDIR=/usr/share/locale
export TEXTDOMAIN=pacman-gui

function_install () {
	if text=`yad --title="$(gettext 'Install Packages')" --entry --text="$(gettext 'Install one or more packages'): 'pacman -S'
	$(gettext 'In case of multiple-choice enter a space between the one and the other')" --entry-text="$(gettext 'Insert package/s name')"` 
	then echo $text
	urxvt -e pacman -S $text
	read -sp \"$(gettext 'Press Enter to close the window') \
	
	fi
}

function_remove () {
	if text=`yad --title="$(gettext 'Remove Packages')" --entry --text="$(gettext 'Remove one or more packages'): 'pacman -R'
	$(gettext 'In case of multiple-choice enter a space between the one and the other')" --entry-text="$(gettext 'Insert package/s name')"` 
	then echo $text
	urxvt -e pacman -R $text
	read -sp \"$(gettext 'Press Enter to close the window') \
	
	fi
}

function_find () {
	text=`yad --title="$(gettext 'Search Packages')" --entry --text="$(gettext 'Search packages by name or keyword'): 'pacman -Ss'
	$(gettext 'For example, for search a pdf reader type pdf')" --entry-text="$(gettext 'Type keyword')"` 
	case $? in
		-1)
			echo "" 
		;;
		0)
		;;
		1)
			exit 0 
		;;
		5)
			echo ""
		;;
	esac
	echo $text | urxvt -hold -e pacman -Ss $text
	read -sp \"$(gettext 'Press Enter to close the window') \
	
}

function_inman () {
	if text=`yad --title="$(gettext 'Install local Package')" --file-selection --width 640 --height 480` 
	then echo $text
	urxvt -e pacman -U "$text"
	read -sp \"$(gettext 'Press Enter to close the window') \
	
	fi
}



case $1 in
	4)
		function_install
	;;
	5)
		function_remove
	;;
	6)
		function_find
	;;
	10)
		function_inman
	;;
esac
